// Models
import { PlannedTerm } from '@app/core/models/planned-term';
import { DegreePlan } from '@app/core/models/degree-plan';

export interface DegreePlannerState {
	visibleRoadmapId?: number;
	visibleTerms: PlannedTerm[];
	allDegreePlans: DegreePlan[];
}

export const INITIAL_DEGREE_PLANNER_STATE: DegreePlannerState = {
	visibleRoadmapId: undefined,
	visibleTerms: [],
	allDegreePlans: []
};
